unit mainfrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, SDL_rasterlab, SDL_urllab, ExtCtrls, Buttons,
  SDL_Colsel, SDL_htmllab;

type
  TForm1 = class(TForm)
    HtmlLab1: THtmlLab;
    Label1: TLabel;
    SBarVertPos: TScrollBar;
    CSelBak: TColSel;
    RGFrame: TRadioGroup;
    CBoxTransparent: TCheckBox;
    LblBackgnd: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    CBoxIgnoreColorTags: TCheckBox;
    FontDialog1: TFontDialog;
    SBDefFont: TSpeedButton;
    Label4: TLabel;
    SBExit: TSpeedButton;
    CboxText: TComboBox;
    RGAlignment: TRadioGroup;
    procedure SBarVertPosChange(Sender: TObject);
    procedure CBoxTransparentClick(Sender: TObject);
    procedure RGFrameClick(Sender: TObject);
    procedure CSelBakChange(Sender: TObject);
    procedure CBoxIgnoreColorTagsClick(Sender: TObject);
    procedure SBDefFontClick(Sender: TObject);
    procedure SBExitClick(Sender: TObject);
    procedure CboxTextChange(Sender: TObject);
    procedure RGAlignmentClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
       
var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  SDL_sdlbase;



(******************************************************************************)
procedure TForm1.SBarVertPosChange(Sender: TObject);
(******************************************************************************)

begin
HtmlLab1.PosY := SBarVertPos.Position;
end;

(******************************************************************************)
procedure TForm1.CBoxTransparentClick(Sender: TObject);
(******************************************************************************)

begin
HtmlLab1.Transparent := CBoxTransparent.Checked;
end;

(******************************************************************************)
procedure TForm1.RGFrameClick(Sender: TObject);
(******************************************************************************)

begin
HtmlLab1.FrameStyle := TFrameStyle (RGFrame.ItemIndex);
end;

(******************************************************************************)
procedure TForm1.CSelBakChange(Sender: TObject);
(******************************************************************************)

begin
HtmlLab1.ColorBkg := CSelBak.SelColor;
end;

(******************************************************************************)
procedure TForm1.CBoxIgnoreColorTagsClick(Sender: TObject);
(******************************************************************************)

begin
HtmlLab1.IgnoreColorTags := CBoxIgnoreColorTags.Checked;
end;

(******************************************************************************)
procedure TForm1.SBDefFontClick(Sender: TObject);
(******************************************************************************)

begin
if FontDialog1.Execute then
  begin
  HtmlLab1.Font := FontDialog1.Font;
  end;
end;

(******************************************************************************)
procedure TForm1.SBExitClick(Sender: TObject);
(******************************************************************************)

begin
close;
end;

(******************************************************************************)
procedure TForm1.CboxTextChange(Sender: TObject);
(******************************************************************************)

begin
HtmlLab1.Caption := CBoxText.Text;
end;

(******************************************************************************)
procedure TForm1.RGAlignmentClick(Sender: TObject);
(******************************************************************************)

begin
HtmlLab1.Alignment := TAlignment(RGAlignment.ItemIndex);
end;

(******************************************************************************)
procedure TForm1.FormShow(Sender: TObject);
(******************************************************************************)

begin
CBoxText.ItemIndex := 0;
CBoxText.Text := CBoxText.Items[0];
end;

end.
